

import Vue from 'vue'
import Router from 'vue-router'
import Course from '../components/Course.vue'//课程
import StrongPhoto from '../components/StrongPhoto.vue'
import UserCenter from '../components/UserCenter.vue'

// // import Login from '../Login.vue'


Vue.use(Router)



export default new Router({

  mode: "history",


  routes: [
    //课程管理
    {
      path: '/',
      name: 'Course',
      component: Course,
      meta: {
        requireAuth: true //是否登陆
      }


    },
    //精彩瞬间
    {
      path: '/StrongPhoto',
      name: 'StrongPhoto',
      component: StrongPhoto,
      meta: {
        requireAuth: true //是否登陆
      }

    },
    //个人中心
    {
      path: '/UserCenter',
      name: 'UserCenter',
      component: UserCenter,
      meta: {
        requireAuth: false //是否登陆
      }
    }




  ]
})

