


import axios from 'axios'

import { Message } from 'element-ui'
// import md5 from 'js-md5'
import store from '../store'
// import routerfrom from '../router'




export default function (url, params, methodType = 'GET') {
  return new Promise((resolve, reject) => {
    const { personId, phone, appid, totalScore } = store.state.user
    // const timestamp = new Date().valueOf()
    // const sign = md5(appid + personId + phone + timestamp)

    // let header = {
    //   'x-appid': appid,
    //   'x-personid': personId,
    //   'x-timestamp': timestamp,
    //   'x-sign': sign,
    //   'totalScore': totalScore
    // }


    axios.request({
      url: url,
      method: methodType,
      data: params,
      // headers: header,
      timeout: 1000 * 60,
    }).then(res => {
      const { code, message, data, token } = res.data

      if (code === 1000) {
        resolve(data)
      } else {
        Message.error(message)

        if (code === 1001) {
          // Message.error('请重新登陆')

          // routerfrom.push('../Login.vue')

          // this.$router.replace('../Login.vue') //replace  不记录页面 ，无法返回
        }
      }



    }).catch(err => {
      const message = err.message || err.errMsg || err
      console.error("🚀 错误~ err", err)
      Message.error('请求错误', err)





      if (err.message.includes('timeout')) {
        // 请求超时
        Message.error('请求超时')
      }
      reject(message)
    }).finally(() => {
      // 请求结束
    })
  })
}