import Vue from 'vue'
import App from './App.vue'
import { Tabbar, TabbarItem, Button } from 'vant';
import router from './router/index'//路由
import store from './store';//状态管理
import { Icon } from 'vant';
import { Notify } from 'vant';

import { Cell, CellGroup } from 'vant';

Vue.use(Cell);
Vue.use(CellGroup);
Vue.use(Notify);
Vue.use(Tabbar).use(TabbarItem);
Vue.use(Button);
Vue.use(Icon);


// Vue.use(Tabbar);
// Vue.use(TabbarItem);


Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app')
